%define ocamlname alcotest-lwt

Name:           ocaml-%{ocamlname}
Version:        0.8.0
Release:        1%{?dist}.emp1
Summary:        Alcotest is a lightweight and colourful test framework
License:        ISC
URL:            https://github.com/mirage/alcotest
Source0:        alcotest-%{version}.tbz

Requires:	ocaml >= 4.02.3
Requires:  	ocaml-alcotest >= 0.8.0
Requires:  	ocaml-lwt
Requires:	ocaml-logs

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-findlib
BuildRequires:  jbuilder
BuildRequires:  ocaml-alcotest-devel >= 0.8.0
BuildRequires:  ocaml-lwt-devel
BuildRequires:	ocaml-logs-devel


%description
Alcotest exposes simple interface to perform unit tests. It exposes
a simple TESTABLE module type, a check function to assert test
predicates and a run function to perform a list of unit -> unit
test callbacks.

Alcotest provides a quiet and colorful output where only faulty runs
are fully displayed at the end of the run (with the full logs ready to
inspect), with a simple (yet expressive) query language to select the
tests to run.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:  	ocaml-alcotest-devel >= 0.8.0
Requires:  	ocaml-lwt-devel
Requires:	ocaml-logs-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n alcotest-%{version}

%build
jbuilder subst -n %{ocamlname}
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install

%check
jbuilder runtest  -p %{ocamlname} %{?_smp_mflags}

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.md
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/CHANGES.md
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
